package cn.superdesk.app.inventory.dao.mapper;

import cn.superdesk.app.base.dao.CustomBaseMapper;
import cn.superdesk.app.inventory.dao.entity.InventoryWarehouseEntity;
import cn.superdesk.app.inventory.model.param.InventoryWarehouseQueryParam;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface InventoryWarehouseEntityMapper extends CustomBaseMapper<InventoryWarehouseEntity> {
    @Select("select * from tb_inventory_warehouse where comp_id = #{compId} and org_id = #{orgId} and merchant_id = #{merchantId} and deleted = 0 order by sequence desc, id desc")
    @ResultMap("BaseResultMap")
    List<InventoryWarehouseEntity> selectByParam(InventoryWarehouseQueryParam param);
}