package cn.superdesk.app.inventory.model.param;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Set;

/**
 * 合并提交盘点单
 * @author xc
 * @since 2023/11/23 14:24
 */
@Data
public class InventoryCheckMergeSubmitParam {
    @NotNull(message = "项目id不能为空")
    private Integer orgId;
    @NotEmpty(message = "盘点单号列表不能为空")
    private Set<String> docNoList;
}
