package cn.superdesk.app.inventory.model.param;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author xc
 * @since 2023/11/21 09:36
 */
@Data
public class InventoryOperationDetailParam {
    @NotNull(message = "商品id不能为空")
    private Integer productId;
    @NotNull(message = "商品名称不能为空")
    private String productName;
    private String productCode;
    @NotNull(message = "商品库存变动数量不能为空")
    private Integer inventoryChangeQuantity;
    private String remark;
}
