package cn.superdesk.app.inventory.model.param;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author xc
 * @since 2024/2/23 15:15
 */
@Data
public class InventoryWarehouseQueryParam {
    @NotNull(message = "运营中心ID不能为空")
    private Integer compId;
    @NotNull(message = "项目ID不能为空")
    private Integer orgId;
    @NotNull(message = "商户ID不能为空")
    private Integer merchantId;
}
