package cn.superdesk.app.inventory.model.param;

import cn.superdesk.app.inventory.model.vo.InventoryWarehouseVO;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author xc
 * @since 2024/2/26 14:28
 */
@Data
public class InventoryWarehouseSaveParam {
    @NotNull(message = "运营中心ID不能为空")
    private Integer compId;
    @NotNull(message = "项目ID不能为空")
    private Integer orgId;
    @NotNull(message = "商户ID不能为空")
    private Integer merchantId;
    private List<InventoryWarehouseVO> list;
}
