package cn.superdesk.app.inventory.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author xc
 * @since 2023/11/22 16:55
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class InventoryCheckSheetVO {
    private Integer id;
    private String docNo;
    private Integer level;
    private String mergedDocNo;
    private String parentDocNo;
    private String compName;
    private String orgName;
    private Integer orgId;
    private Integer merchantId;
    private String merchantName;
    private Integer state;
    private String stateName;
    private Integer productTypeCount;
    private Integer gainAndLossQuantity;
    private String remark;
    private String createUserName;
    private String finishUserName;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date finishTime;
}
