package cn.superdesk.app.inventory.dao.mapper;

import cn.superdesk.app.base.dao.CustomBaseMapper;
import cn.superdesk.app.inventory.dao.entity.InventoryCheckSheetEntity;
import cn.superdesk.app.inventory.model.param.InventoryCheckPageQueryParam;
import cn.superdesk.app.inventory.model.vo.InventoryCheckSheetVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

public interface InventoryCheckSheetEntityMapper extends CustomBaseMapper<InventoryCheckSheetEntity> {
    List<InventoryCheckSheetVO> selectList(InventoryCheckPageQueryParam param);

    List<InventoryCheckSheetEntity> selectEnabledTemporaryDocByDocNoList(@Param("docNoList") Set<String> docNoList);

}