package cn.superdesk.app.inventory.model.dto;

import cn.superdesk.libs.common2.excel.annotation.TitleCell;
import lombok.Data;

/**
 * @author xc
 * @since 2023/11/27 17:18
 */
@Data
public class InventoryOperationExcelImportDTO {
    @TitleCell(name = "商品名称", column = 1)
    private String productName;
    @TitleCell(name = "*商品条码", column = 2, notNull = true)
    private String productCode;
    @TitleCell(name = "数量", column = 3, notNull = true)
    private int quantity;
    @TitleCell(name = "备注", column = 4)
    private String remark;
}
