package cn.superdesk.app.inventory.model.dto;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author xc
 * @since 2024/2/1 16:10
 */
@Data
public class MerchantVO {
    private Integer    id;
    private Integer    compId;//所属运营中心
    private String     compName;
    private String merchantNo;
    private String     password;//账号密码
    private BigDecimal amount;
    private String     orgNames;
    private String     name;//商户名
    private Integer    type;//商户类型(1-运营中心;2-项目;)
    private String     logoUrl;//商户logo
    private String     contacts;//联系人
    private String     mobile;//联系人电话
    private String     city;//所在城市(省-市-区-等等;以-符号分隔)
    private String     address;//详细地址

}
