package cn.superdesk.app.inventory.model.param;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author xc
 * @since 2023/11/21 15:31
 */
@Data
public class InventoryOperationPageQueryParam {
    @NotNull(message = "页码不能为空")
    private Integer pageNo;
    @NotNull(message = "每页记录数不能为空")
    private Integer pageSize;
    private Integer compId;
    private Integer orgId;
    private Integer merchantId;
    private Integer operationType;// 操作类型
    private String docNo;// 单据号 精确查询
    private String productName;// 商品名称 模糊查询
    private String productCode;// 商品条码 精确查询
    private String startTime;// 开始时间 yyyy-MM-dd
    private String endTime;// 结束时间 yyyy-MM-dd
    private Integer warehouseId;// 仓库id
}
