package cn.superdesk.app.inventory.model.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author xc
 * @since 2023/11/22 17:35
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class InventoryCheckSheetDetailVO {
    private Integer id;
    private String docNo;
    private Integer productId;
    private String productName;
    private String productCode;
    private String unit;
    private Integer originalQuantity;
    private Integer actualQuantity;
    private Integer gainAndLossQuantity;
    private BigDecimal costPrice;
    private BigDecimal costPriceTotal;
    private String remark;
}
