package cn.superdesk.app.inventory.model.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author xc
 * @since 2023/11/21 16:42
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class InventoryOperationDetailVO {
    private Integer productId;
    private String productName;
    private String productCode;
    private Integer inventoryChangeQuantity;
    private Integer quantityBeforeUpdate;
    private Integer quantityAfterUpdate;
    private BigDecimal costPrice;
    private BigDecimal costPriceTotal;
    private String remark;
}
