package cn.superdesk.app.inventory.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author xc
 * @since 2023/11/21 15:31
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class InventoryOperationVO {
    private Integer id;
    private String compName;
    private String orgName;
    private String docNo;
    private String merchantName;
    private Integer operationType;
    private String operationTypeName;
    private Integer productTypeCount;
    private String remark;
    private String operatorName;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
}
